import { OnInit, EventEmitter, OnChanges, SimpleChanges, DoCheck } from '@angular/core';
import { LanguageItem, ProfileSettingItem, ActivityOwnerItem, Options, IconItem, EnterpriseInfoModel } from './top-navigation.model';
export declare class TopNavigationComponent implements OnInit, OnChanges, DoCheck {
    color: string;
    fullName: string;
    brandName: string;
    profileImage: string;
    selectedLanguage: LanguageItem;
    options: Options;
    leftIconList: Array<IconItem>;
    rightIconList: Array<IconItem>;
    leftMenuIconList: Array<IconItem>;
    languageList: Array<LanguageItem>;
    profileSettingList: Array<ProfileSettingItem>;
    activityOwnerList: Array<ActivityOwnerItem>;
    currentEnterprise: EnterpriseInfoModel;
    currentAccount: EnterpriseInfoModel;
    clickLeftIcon: EventEmitter<any>;
    selectLanguage: EventEmitter<any>;
    selectProfileSetting: EventEmitter<any>;
    clickRightIcon: EventEmitter<any>;
    clickActivityItem: EventEmitter<any>;
    clickEnterpriseButton: EventEmitter<any>;
    clickAccountButton: EventEmitter<any>;
    defaultOptions: Options;
    defaultActivityOwnerList: any[];
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    onLeftIconClicked(icon: any): void;
    onEnterpriseClicked(): void;
    onAccountClicked(): void;
    onClickActivityItem(item: any): void;
    onRightIconClicked(icon: any): void;
    onLanguageSelected(lang: any): void;
    onProfileSettingSelected(setting: any): void;
    private _getActivityOwnerList;
}
